
services:
  kamailio:
    image: "xivoxc/edge-kamailio:${XIVOCC_TAG}.${XIVOCC_DIST}"
    command: --alias=${EDGE_FQDN} -A 'XIVO_HOST="${XIVO_HOST}"' -l udp:0.0.0.0:5060/${EDGE_HOST_IP}:5060
    ports:
    - 5060:5060
    extra_hosts:
    - ${XIVO_MDS_HOST_DEFAULT}
    environment:
    - EDGE_FQDN
    - EDGE_HOST_IP
    - XIVO_HOST
    - SIP_AUTH_RATE_INTERVAL=30
    - SIP_AUTH_RATE_LIMIT=15
    volumes:
    - /etc/docker/ssl:/etc/kamailio/ssl
    logging:
      driver: json-file
      options:
        max-size: "40m"
        max-file: "5"
    restart: always

